Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 24

Thread: Catalyst 12.3 released (fglrx 8.951)

  1. #11
    Join Date
    Jun 2009
    Location
    0:0:0:0:0:0:0:1
    Beans
    4,133
    Distro
    Xubuntu 13.04 Raring Ringtail

    Re: Catalyst 12.3 released (fglrx 8.951)

    Quote Originally Posted by cariboo907 View Post
    If you are running Precise, you should have got the latest driver via an update.

    Anything else, you may just have to wait for the update to be released for your version.
    anywhere i can download it for use in this guide?
    https://help.ubuntu.com/community/BinaryDriverHowto/ATI
    that guide worked with 12.3 on 11.10 back when it had 12..2 in the guide
    Last edited by pqwoerituytrueiwoq; April 12th, 2012 at 04:13 AM.
    Laptop: ASUS A54C-NB91 (Storage: WD3200BEKT + MKNSSDCR60GB-DX); Desktop: Custom Build - Images included; rPi Server
    Putting your Networked Printer's scanner software to shame PHP Scanner Server
    I frequently edit my post when I have the last post

  2. #12
    Join Date
    Aug 2006
    Location
    Just call me JF
    Beans
    1,052
    Distro
    Ubuntu Development Release

    Re: Catalyst 12.3 released (fglrx 8.951)

    You can get 8.960 from the xorg-edgers PPA: https://launchpad.net/~xorg-edgers/+archive/ppa

    Be warned. This is not a PPA for general use.

    I would take only the fglrx packages for oneiric and install them by hand.

    If you add the PPA I will not help with the mess.
    1) Dell Studio 1749: i5 540 (2.5GHz), 8GB, ATi 5650, Intel 5300AGN XFCE@Manjaro-x64
    2) Lenovo X61: C2D T7200, 2GB, Intel HDA, iwlwifi, XFCE@Manjaro-x64
    3) Compaq Mini 311c: Atom N270 (OC@2.0GHz), 3GB, Nvidia ION, Broadcom G+BT XFCE@13.10x32

  3. #13
    Join Date
    Aug 2011
    Beans
    327
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Catalyst 12.3 released (fglrx 8.951)

    Wouldn't installing post release drivers get us the latest Catalyst, we wouldn't need PPA then.

  4. #14
    Join Date
    Mar 2011
    Beans
    74

    Re: Catalyst 12.3 released (fglrx 8.951)

    Quote Originally Posted by Linuxisfast View Post
    Wouldn't installing post release drivers get us the latest Catalyst, we wouldn't need PPA then.

    The post release drivers would not install for me on daily build of 12.04 out of the box last week.

    Not sure if this has been fixed recently.

  5. #15
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    3,879
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Catalyst 12.3 released (fglrx 8.951)

    Quote Originally Posted by jfernyhough View Post
    You can get 8.960 from the xorg-edgers PPA: https://launchpad.net/~xorg-edgers/+archive/ppa

    Be warned. This is not a PPA for general use.

    I would take only the fglrx packages for oneiric and install them by hand.

    If you add the PPA I will not help with the mess.
    Ppa-purge works nice with xorg-edgers... Not that I'm advocating usage of aforementioned ppa. Not at all...
    Beware: XE has X 1.12 that is incompatible with 8.960 that is (also) in XE... Catch 22...

  6. #16
    Join Date
    Aug 2011
    Beans
    327
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Catalyst 12.3 released (fglrx 8.951)

    Quote Originally Posted by donalgodon View Post
    The post release drivers would not install for me on daily build of 12.04 out of the box last week.

    Not sure if this has been fixed recently.
    Surprisingly since Oneiric, Jockey has been buggy when it comes to installing post release AMD, nvidia post release install fine. The only way to install latest Catalyst is to go via command line or software center as I have done with my ASUS EeePC 1015B netbook which has hybrid AMD ATI chip.

  7. #17
    Join Date
    Dec 2011
    Beans
    170

    Re: Catalyst 12.3 released (fglrx 8.951)

    In precise amd both current and postrelease drivers are same version. It makes no sense of finding ways to install other than current.

  8. #18
    Join Date
    Aug 2011
    Beans
    327
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Catalyst 12.3 released (fglrx 8.951)

    Quote Originally Posted by Pilot6 View Post
    In precise amd both current and postrelease drivers are same version. It makes no sense of finding ways to install other than current.
    Yes I notice that as well but the premise of putting post release was always to have an updated latest driver.

  9. #19
    Join Date
    Mar 2010
    Beans
    76

    Re: Catalyst 12.3 released (fglrx 8.951)

    Today I got a 250MB update. After that, when I restarted drivers were corrupt. I used fglrxinfo and showed many errors.

    I thought ok, lets reinstall them. sh /usr/share/ati/fglrx-uninstall.sh

    After uninstall rebooted and tried the drivers of Ubuntu but got an error saying that they weren't installed. Tried to install them again from the file I had downloaded from ati.amd.com and it said I have the drivers already installed. Checked with fglrxinfo and I had the Galliums.

    Rebooted and fglrxinfo again and now it say I have the 4.2.11627. But if I can't install it, how I have it? And now I go to /usr/share/ati and there isn't any file of the driver, just the catalyst control center. So... where are the drivers now installed?

  10. #20
    Join Date
    Aug 2011
    Beans
    19

    Re: Catalyst 12.3 released (fglrx 8.951)

    I downloaded this version of catalyst and created the .deb files.
    When running them, I encountered several errors. One of them is
    "Error! Bad return status for module build on kernel: 3.2.0-23-generic-pae (i686)
    Consult /var/lib/dkms/fglrx/8.951/build/make.log for more information.
    "

    Note that I'm using Precise Pangolin Beta 2.

    Here is the installation messages:
    Code:
    sudo dpkg -i *.deb
    Selecting previously unselected package fglrx.
    (Reading database ... 196230 files and directories currently installed.)
    Unpacking fglrx (from fglrx_8.951-0ubuntu1_i386.deb) ...
    Selecting previously unselected package fglrx-amdcccle.
    Unpacking fglrx-amdcccle (from fglrx-amdcccle_8.951-0ubuntu1_i386.deb) ...
    Selecting previously unselected package fglrx-dev.
    Unpacking fglrx-dev (from fglrx-dev_8.951-0ubuntu1_i386.deb) ...
    Setting up fglrx (2:8.951-0ubuntu1) ...
    update-alternatives: using /usr/lib/fglrx/ld.so.conf to provide /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in auto mode.
    update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl64.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (of link group i386-linux-gnu_gl_conf) doesn't exist.
    update-alternatives: warning: skip creation of /usr/lib32/libaticalcl.so because associated file /usr/lib32/fglrx/libaticalcl.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
    update-alternatives: warning: skip creation of /usr/lib32/libaticalrt.so because associated file /usr/lib32/fglrx/libaticalrt.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
    update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group i386-linux-gnu_gl_conf is broken.
    update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl64.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (of link group i386-linux-gnu_gl_conf) doesn't exist.
    update-alternatives: warning: skip creation of /usr/lib32/libaticalcl.so because associated file /usr/lib32/fglrx/libaticalcl.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
    update-alternatives: warning: skip creation of /usr/lib32/libaticalrt.so because associated file /usr/lib32/fglrx/libaticalrt.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
    update-alternatives: using /usr/lib/fglrx/alt_ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode.
    update-initramfs: deferring update (trigger activated)
    Loading new fglrx-8.951 DKMS files...
    Building only for 3.2.0-23-generic-pae
    Building for architecture i686
    Building initial module for 3.2.0-23-generic-pae
    Error! Bad return status for module build on kernel: 3.2.0-23-generic-pae (i686)
    Consult /var/lib/dkms/fglrx/8.951/build/make.log for more information.
    update-initramfs: deferring update (trigger activated)
    Processing triggers for ureadahead ...
    ureadahead will be reprofiled on next reboot
    Processing triggers for bamfdaemon ...
    Rebuilding /usr/share/applications/bamf.index...
    Setting up fglrx-amdcccle (2:8.951-0ubuntu1) ...
    Setting up fglrx-dev (2:8.951-0ubuntu1) ...
    Processing triggers for initramfs-tools ...
    update-initramfs: Generating /boot/initrd.img-3.2.0-23-generic-pae
    Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    And here is the log:
    DKMS make.log for fglrx-8.951 for kernel 3.2.0-23-generic-pae (i686)
    Sat Apr 14 12:51:19 WIT 2012
    AMD kernel module generator version 2.1
    make.sh: 390: [: 1: unexpected operator
    make.sh: 396: [: 1: unexpected operator
    doing Makefile based build for kernel 2.6.x and higher
    rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
    make -C /lib/modules/3.2.0-23-generic-pae/build SUBDIRS=/var/lib/dkms/fglrx/8.951/build/2.6.x modules
    make[1]: Entering directory `/usr/src/linux-headers-3.2.0-23-generic-pae'
    CC [M] /var/lib/dkms/fglrx/8.951/build/2.6.x/firegl_public.o
    /var/lib/dkms/fglrx/8.951/build/2.6.x/firegl_public.c: In function ‘KCL_fpu_begin’:
    /var/lib/dkms/fglrx/8.951/build/2.6.x/firegl_public.c:5804:28: error: ‘TS_USEDFPU’ undeclared (first use in this function)
    /var/lib/dkms/fglrx/8.951/build/2.6.x/firegl_public.c:5804:28: note: each undeclared identifier is reported only once for each function it appears in
    make[2]: *** [/var/lib/dkms/fglrx/8.951/build/2.6.x/firegl_public.o] Error 1
    make[1]: *** [_module_/var/lib/dkms/fglrx/8.951/build/2.6.x] Error 2
    make[1]: Leaving directory `/usr/src/linux-headers-3.2.0-23-generic-pae'
    make: *** [kmod_build] Error 2
    build failed with return value 2
    Can anybody help me?

    UPDATE
    After researching in a few websites..this is apparently due to changes made in the kernel version 3.2. This issue is fixed in the 12.4 Beta. I wonder when will the official 12.4 driver be released..

    YET ANOTHER UPDATE
    Tried the beta 12.4..still same results
    DKMS make.log for fglrx-8.960 for kernel 3.2.0-23-generic-pae (i686)
    Sat Apr 14 18:10:06 WIT 2012
    AMD kernel module generator version 2.1
    make.sh: 390: [: 1: unexpected operator
    make.sh: 396: [: 1: unexpected operator
    doing Makefile based build for kernel 2.6.x and higher
    rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
    make -C /lib/modules/3.2.0-23-generic-pae/build SUBDIRS=/var/lib/dkms/fglrx/8.960/build/2.6.x modules
    make[1]: Entering directory `/usr/src/linux-headers-3.2.0-23-generic-pae'
    CC [M] /var/lib/dkms/fglrx/8.960/build/2.6.x/firegl_public.o
    /var/lib/dkms/fglrx/8.960/build/2.6.x/firegl_public.c: In function ‘KCL_fpu_begin’:
    /var/lib/dkms/fglrx/8.960/build/2.6.x/firegl_public.c:5839:28: error: ‘TS_USEDFPU’ undeclared (first use in this function)
    /var/lib/dkms/fglrx/8.960/build/2.6.x/firegl_public.c:5839:28: note: each undeclared identifier is reported only once for each function it appears in
    make[2]: *** [/var/lib/dkms/fglrx/8.960/build/2.6.x/firegl_public.o] Error 1
    make[1]: *** [_module_/var/lib/dkms/fglrx/8.960/build/2.6.x] Error 2
    make[1]: Leaving directory `/usr/src/linux-headers-3.2.0-23-generic-pae'
    make: *** [kmod_build] Error 2
    build failed with return value 2
    Last edited by caveman7; April 14th, 2012 at 12:13 PM.

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •